﻿
.common-warning-popup.suggest-popup-ancestor, .common-success-popup.suggest-popup-ancestor {    
    display: block;
    padding: 0px;
    width: 400px;
    height: auto;
    position: fixed;
    background: var(--color-BgOrgWhite);
    border-radius: 4px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 5px 26px 0 var(--color-DropBoxShadowx), 0 20px 28px 0 var(--color-PopupShadowx);
    z-index: 999999;
    text-align: center;
    color: var(--color-TextOrgWhite);
}

.common-warning-popup .suggest-popup-parent, .common-success-popup .suggest-popup-parent {
    position: relative;
    float: left;
    width: 100%;
    height: 100%;
    height: 100%;
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.common-warning-popup .suggest-popup-container, .common-success-popup .suggest-popup-container {
    position: absolute;
    top: 50%;
    left: 50%;
    -moz-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,50%);
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%, -50%);
    width: 450px;
    box-shadow: 1px 6px 15px 1px var(--color-PopupShadowx);
    margin: auto;
    z-index: 1001;
    background-color: var(--color-BgOrgWhite);
    border-radius: 4px;
    align-self: center;
}

.common-warning-popup .section-popup-icon, .common-success-popup .section-popup-icon {
    position: relative;
    text-align: center;
    padding: 10px 0;
    margin: -56px 8px 0px;
    min-width: 89px;
}

.common-warning-popup .section-popup-icon-base, .common-success-popup .section-popup-icon-base {
    width: 90px;
    height: 90px;
    box-sizing: border-box;
    margin: 0 auto;
    border-radius: 50%;
}

.common-warning-popup .Suggest-editable-content, .common-success-popup .Suggest-editable-content {
    min-height: 190px;
    margin-bottom: 0px;
    margin-top: -54px;
    border-radius: 4px;
    padding-top: 12px;
    height: auto;
    color: var(--color-TextBlack);
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;    
}

.common-warning-popup .warning-popup-content, .common-success-popup .success-popup-content {
    text-align: center;    
    color: var(--color-TextBlack);
    font-size: 18px;
    padding: 35px;
}

.common-warning-popup .common-warring-popup-btn, .common-success-popup .common-success-popup-btn {
    background-color: var(--color-BgRedErrorText);
    text-align: center;
    display: block;
    width: 85%;
    position: relative;
    top: -25px;
    padding: 4px;
    color: var(--color-TextOrgWhite);
    left: 35px;
    font-size: 18px;
    border-radius: 4px;
    border-color: transparent;
}

.common-success-popup .common-success-popup-btn {
    background-color: var(--color-BgPeachColor);
}

.common-success-popup .common-success-icon {   
    background-image: url('../greeno/rtl/assets/css/reactjspage/images/olive_success.png');
    background-size: 90px;
    width: 90px;
    height: 90px;
    background-repeat: no-repeat;
}
